--- title: "Add a cloud account" slug: "add-a-cloud-account-2" tags: ["Product Usage", "vIPS 11.1x", "vIPS"] updated: 2026-09-11T20:53:22Z published: 2026-09-11T20:53:22Z canonical: "docs.trellix.com/add-a-cloud-account-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add a cloud account This URL adds a cloud account. ### Resource URL POST /controller//account ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `controller Id` | Controller ID. You can use the `GET /controller ` method to get the details of all the Controllers. | number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `name` | Name of cloud account | string | Yes | | `description` | Description of the cloud account | string | Yes | | `cloudType` | Type of cloud account | string | Yes | | `authType` | Type of authentication | string | Yes | | `valid` | Not applicable | Not applicable | Not applicable | | `authenticator` | Authentication details | object | No | Details of authenticator in AWS deployments: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `accountId` | Account ID | string | No | | `accessKey` | Access key used for authentication | string | No | | `secret` | Pass phrase used for authentication | string | No | Details of authenticator in Azure deployments: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `accountId` | Account ID | string | No | | ` tenantId` | Tenant ID | string | No | | ` appId` | Application ID | string | No | | ` appKey` | Application Key | string | No | | ` subscription` | Subscription number | number | No | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the cloud account addition is successful. Value is set to `true` if the addition is successful. Value is set to `false` if the addition is not successful. | string | | `msg` | Message if cloud account addition is successful | string | | `errMsg` | Error message if the cloud account addition is not successful | string | | `domainName` | Not applicable | Not applicable | | `data` | Id of the newly added cloud account | number | ### Example ****Request**** POST [https:///intruvert/webservice/api/v1/cloud/controller/7](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/7) Payload in AWS deployments ``` { "name": "Controller-6", "description": "Test controller creation", "serviceIp": null, "sharedSecretKey": "admin123", "cloudAccounts": [{ "name":"acc_1", "description":"test account" "authType": { "code": "key_based" }, "cloudType": { "name": "aws" }, "valid": true, "authenticator": { "accountId": 0, "accessKey": "AKIAJCPSSYIORDW5XYZ", "secret": "test123" } } ``` Payload in Azure deployments ``` { "name": "Controller-6", "description": "Test controller creation", "serviceIp": null, "sharedSecretKey": "admin123", "cloudAccounts": [{ "name":"acc_1", "description":"test account" "authType": { "code": "key_based" }, "cloudType": { "name": "azure" }, "valid": true, "authenticator": { "accountId": 0, "tenantId": "xyz", "appId": "appIdXYZ", "appKey": "apKey", "subscription":"6873904" } } ``` ****Response**** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": 4 } ```